Subject: Re: SERIOUS B20 BUG: pipelining seems to break (wasB20: weird variables bug (tryed on win98))
From: [email-masked] (Stipe Tolj)

5 Nov 1998 11:08:18 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked], Geoffrey Noer <[email-masked]>,
        [email-masked]

>  I have the same problem using cygwin b20 on a Win98 box running the
> autoconfig generated "configure" script of the mysql-3.22.9 distribution.
> This is defenetly a b20 bug, since I tested it using my old b19 setup and it
> works perfectly. I have located the place within configure which cause the
> problems. The following code
>
> for ac_hdr in fcntl.h float.h floatingpoint.h ieeefp.h limits.h \
>  memory.h pwd.h select.h \
>  stdlib.h stddef.h \
>  strings.h string.h synch.h sys/mman.h \
>  sys/timeb.h sys/types.h sys/un.h sys/vadvise.h sys/wait.h term.h \
>  unistd.h utime.h sys/utime.h termio.h termios.h sched.h crypt.h
> do
> ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`          <------- here goes the
> BUG!!!!!!!!!!!!
> #ac_safe=`echo $ac_hdr | sed 'y%./+-%__p_%'`
> echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
> echo "configure:2745: checking for $ac_hdr" >&5
> echo "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"
> if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
>   echo $ac_n "(cached) $ac_c" 1>&6
> else
>   ...
>
> is working fine, but suddenly the $ac_safe variable stays unset within the
> for do loop, causing the script to assume the header file has already been
> cached into config.cache, which indeed has not.
>
> I have tried both lines, the one commented and the orginal but both have the
> same fault effect. The whole configure script breaks at some time, since some
> libraries are linked to conftest which the script has "cached" (but not
> present within b20) like libbind.a libnsl.a etc.
>
> This seems to be a defenite b20 bug. Has anyone experienced it on an other OS
> than Win98?

it may be a bug within "sed", since the configure script of php-3.0.4 causes the
system to halt while saying "creating doc/Makefile" while already processed some
of such. The system halts and the "sed" title is displayed within the dos box. No
ctrl-c nor something.

Regards,
Stipe

--
Stipe Tolj <[email-masked]>
Cygwin32 Porting Project
Department of Economical Computer Science
University of Cologne, Germany
http://www-public.rz.uni-duesseldorf.de/~tolj

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".